summaryrefslogtreecommitdiffstats
path: root/source/e/emacs/emacs.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-07-17 21:57:16 +0000
committer Eric Hameleers <alien@slackware.com>2019-07-18 08:59:47 +0200
commita36b32349bdec2880ce9ddab547c0fbd56c5fa89 (patch)
tree96432ba7cb1791d71442b28aa9defa818629fd8c /source/e/emacs/emacs.SlackBuild
parenta528a0b94eee4e03c8decfdb3e9dc0e0b9cae6bd (diff)
downloadcurrent-3ec28059b57f58ca50569ffa8c71ffb4e9b68225.tar.gz
current-3ec28059b57f58ca50569ffa8c71ffb4e9b68225.tar.xz
Wed Jul 17 21:57:16 UTC 201920190717215716
ap/moc-2.5.2-x86_64-5.txz: Rebuilt. Patched and recompiled against ffmpeg-4.1.4. Thanks to Heinz Wiesinger. ap/vim-8.1.1710-x86_64-1.txz: Upgraded. d/cmake-3.15.0-x86_64-1.txz: Upgraded. e/emacs-26.2-x86_64-2.txz: Rebuilt. Patched package.el to obey buffer-file-coding-system (bug #35739), fixing bad signature from GNU ELPA for archive-contents. Thanks to Stefan Monnier and Eric Lindblad. kde/k3b-2.0.3-x86_64-5.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. kde/kfilemetadata-4.14.3-x86_64-5.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. kde/nepomuk-core-4.14.3-x86_64-5.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. l/alsa-plugins-1.1.9-x86_64-2.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. l/ffmpeg-4.1.4-x86_64-1.txz: Upgraded. Shared library .so-version bump. l/gegl-0.4.16-x86_64-2.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. l/gst-plugins-libav-1.16.0-x86_64-2.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. l/gvfs-1.40.2-x86_64-1.txz: Upgraded. l/imagemagick-6.9.10_54-x86_64-1.txz: Upgraded. l/libvisual-plugins-0.4.0-x86_64-4.txz: Rebuilt. Patched to fix a segmentation fault while loading plugin file. Thanks to alienBOB. l/libvpx-1.8.1-x86_64-1.txz: Upgraded. n/curl-7.65.2-x86_64-1.txz: Upgraded. xap/MPlayer-20190717-x86_64-1.txz: Upgraded. Compiled against ffmpeg-4.1.4. xap/audacious-plugins-3.10.1-x86_64-3.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. xap/vim-gvim-8.1.1710-x86_64-1.txz: Upgraded. xap/xine-lib-1.2.9-x86_64-5.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. extra/pure-alsa-system/MPlayer-20190717-x86_64-1_alsa.txz: Upgraded. Compiled against ffmpeg-4.1.4. extra/pure-alsa-system/alsa-plugins-1.1.9-x86_64-2_alsa.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. extra/pure-alsa-system/audacious-plugins-3.10.1-x86_64-3_alsa.txz: Rebuilt. Recompiled against ffmpeg-4.1.4. extra/pure-alsa-system/ffmpeg-4.1.4-x86_64-1_alsa.txz: Upgraded. Shared library .so-version bump. extra/pure-alsa-system/xine-lib-1.2.9-x86_64-5_alsa.txz: Rebuilt. Recompiled against ffmpeg-4.1.4.
Diffstat (limited to 'source/e/emacs/emacs.SlackBuild')
-rwxr-xr-xsource/e/emacs/emacs.SlackBuild20
1 files changed, 13 insertions, 7 deletions
diff --git a/source/e/emacs/emacs.SlackBuild b/source/e/emacs/emacs.SlackBuild
index 403663d0f..e542dcd12 100755
--- a/source/e/emacs/emacs.SlackBuild
+++ b/source/e/emacs/emacs.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2015, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2012, 2014, 2015, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,6 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Slackware build script for emacs-22
-
# Written by Dušan Stefanović (stefanovic.dusan@gmail.com)
# Modified by Robby Workman <rworkman@slackbuilds.org>
# Modified by Patrick Volkerding <volkerdi@slackware.com>
@@ -29,7 +27,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=emacs
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Determine version number the tarball is labeled with:
TARBALLVER=${TARBALLVER:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
# OK, now what's being used as the source directory version number... account
@@ -94,6 +92,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/emacs.35739.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -107,7 +107,7 @@ CXXFLAGS="$SLKCFLAGS" \
--without-gconf \
--without-gsettings \
--with-x \
- --with-x-toolkit=gtk3 \
+ --with-x-toolkit=${X_TOOLKIT:-gtk3} \
--build=${ARCH}-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
@@ -131,6 +131,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/emacs.35739.patch.gz | patch -p1 --verbose || exit 1
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -207,6 +209,10 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
-cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$TARBALLVER-$ARCH-$BUILD.txz
+# Tag packages that use a toolkit other than default (currently gtk3):
+if [ -z "$TAG" ] && [ ! -z "$X_TOOLKIT" ]; then
+ TAG="_$X_TOOLKIT"
+fi
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$TARBALLVER-$ARCH-$BUILD$TAG.txz